%global modname cjson

%global sum     Fast JSON encoder/decoder for Python
%global desc    This module implements a very fast JSON encoder/decoder for Python.\
\
JSON stands for JavaScript Object Notation and is a text based lightweight\
data exchange format which is easy for humans to read/write and for machines\
to parse/generate. JSON is completely language independent and has multiple\
implementations in most of the programming languages, making it ideal for\
data exchange and storage.\
\
The module is written in C and it is up to 250 times faster when compared to\
the other python JSON implementations which are written directly in python.\
This speed gain varies with the complexity of the data and the operation and\
is the the range of 10-200 times for encoding operations and in the range of\
100-250 times for decoding operations.

Name:           python-%{modname}
Version:        1.2.1
Release:        1%{?dist}
Summary:        %{sum}

License:        LGPLv2+
URL:            https://pypi.python.org/pypi/python-cjson
Source0:        https://files.pythonhosted.org/packages/source/p/python-cjson/%{name}-%{version}.tar.gz

BuildRequires:  python2-devel

%description
%{desc}

%package -n python2-%{modname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
%{desc}

%prep
%autosetup -p1

%build
%py2_build

%install
%py2_install

%check
PYTHONPATH=$(echo build/lib.linux-*) %{__python2} jsontest.py

%files
%doc ChangeLog
%license LICENSE
%{python2_sitearch}/*

%changelog
* Tue Feb 28 2017 Adam Williamson <awilliam@redhat.com> - 1.2.1-1
- New release 1.2.1
- Drop recursion patch (alternative approach landed upstream in 1.2.0)

* Fri Feb 10 2017 Adam Williamson <awilliam@redhat.com> - 1.1.0-9
- Protect against crashes caused by excessive recursion
- Modernize spec a bit, python2-cjson not python-cjson

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Sep 7 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 1.1.0-5
- s/python_sitearch/python2_sitearch/

* Wed Sep 3 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 1.1.0-4
- Add %%doc README LICENSE ChangeLog

* Mon Aug 25 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 1.1.0-3
- Add %%check section.

* Tue Aug 19 2014 Pavel Alexeev <Pahan@Hubbitus.info> - 1.1.0-2
- Start of Fedora review bz#1130097. Thanks to Christopher Meng.
- Chang BR to python2-devel from just python-devel.
- Drop python_sitearch declaration as it is not targeted to epel6 and early.

* Thu Jul 17 2014 Pavel Alexeev (aka Pahan-Hubbitus) <Pahan@Hubbitus.info> - 1.1.0-1
- Initial spec.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jul 03 2010 Felix Schwarz <felix.schwarz@oss.schwarz.eu> - 1.0.5-5
- CVE-2010-1666 (fixed by including a patch from Ubuntu, see Launchpad 585274)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.5-2
- Rebuild for Python 2.6

* Thu Mar 20 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.5-1
- Initial Fedora build.
